﻿@using System.Web.UI.WebControls
@model Portal.Models.DCLReceiving.DCLReceivingDb 

<div id="theresult" style="width:100%">
       
<table width="100%" height="150px" cellpadding="0" cellspacing="0">
    <colgroup>
        <col width="19%" />
        <col width="19%" />
        <col width="31%" />
        <col width="31%" />
    </colgroup>
    <tr style="margin:0; padding:0">
        <td colspan="2" style="border-left:2px solid #C0C0C0; border-top:2px solid #C0C0C0; border-right:2px solid #C0C0C0; text-align:center; margin:0; padding:0; background-color:#DDDDDD"><p style="margin:0"><b><font size="5"> TRUCK ARRIVAL INFORMATION </font></b></p></td>
        <td style="border-top:2px solid #C0C0C0; border-right:2px solid #C0C0C0; text-align:center; margin:0; padding:0; background-color:#DDDDDD"><p style="margin:0"><b><font size="5"> Remaining Time </font></b></p></td>
        <td style="border-top:2px solid #C0C0C0; border-right:2px solid #C0C0C0; text-align:center; margin:0; padding:0; background-color:#DDDDDD"><p style="margin:0"><b><font size="5"> TIME </font></b></p></td>
    </tr>
    <tr>
        <td style="border-left:2px solid #C0C0C0; border-top:2px solid #C0C0C0; border-right:2px solid #C0C0C0; border-bottom:2px solid #C0C0C0; text-align:center; background-color:#DDDDDD">
                @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblTS1";
                        settings.Text = "TS";
                        settings.ControlStyle.Font.Size = 20;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        //settings.ControlStyle.Font.Bold = true;
                    }).GetHtml()
                &nbsp;
                @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblTS";
                        settings.Text = Model.STATION;
                        settings.ControlStyle.Font.Size = 50;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.Font.Bold = true;

                    }).GetHtml()
        </td>
        <td style="border-top:2px solid #C0C0C0; border-right:2px solid #C0C0C0; border-bottom:2px solid #C0C0C0; text-align:center; background-color:#DDDDDD">
                @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblDock1";
                        settings.Text = "Dock ";
                        settings.ControlStyle.Font.Size = 20;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        //settings.ControlStyle.Font.Bold = true;
                    }).GetHtml()
                @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblDock";
                        settings.Text = Model.DOCK_CD;
                        settings.ControlStyle.Font.Size = 50;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.Font.Bold = true;
                    }).GetHtml()
        </td>
        <td style="border-top:2px solid #C0C0C0; border-right:2px solid #C0C0C0; border-bottom:2px solid #C0C0C0; text-align:center; @(Model.REMAINING == "00:00" ? "background-color: #FF0000" : "background-color: #00FF00")">
            @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblRemainingTime";
                        settings.Text = Model.REMAINING;
                        //settings.Text = (Convert.ToInt32("#txtDepartureActual") - (""));
                        
                        settings.ControlStyle.Font.Size = 50;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.Font.Bold = true;
                    }).GetHtml()
                    <!-- disini tempat naroh minutenya -->
            <br />
            <b><font size="3"> minutes</font></b>
        </td>
        <td style="border-top:2px solid #C0C0C0; border-right:2px solid #C0C0C0; border-bottom:2px solid #C0C0C0; text-align:center; background-color:#DDDDDD">
            @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblTime";
                        //settings.Text = DateTime.Now.ToString("HH:mm");
                        settings.Text = Model.CurrentTime.ToString("HH:mm");
                        settings.ControlStyle.Font.Size = 50;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.Font.Bold = true;
                    }).GetHtml()
        </td>
    </tr>
</table>        
<table width="100%" height="150px" cellpadding="0" cellspacing="0">
    <tr style="border-top:2px solid #C0C0C0">
        <td style="width:15%; border-left:2px solid #C0C0C0; background-color:#DDDDDD">&nbsp;</td>
        <td style="width:42%; text-align:center; background-color:#DDDDDD">
            @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblRoute1";
                        settings.Text = "ROUTE";
                        settings.ControlStyle.Font.Size = 20;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.VerticalAlign = VerticalAlign.Bottom;
                        settings.ControlStyle.Font.Bold = true;
                    }).GetHtml()
        </td>
        <td style="width:5%; background-color:#DDDDDD">&nbsp;</td>
        <td style="width:23%; text-align:center; background-color:#DDDDDD">
            @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblRate1";
                        settings.Text = "RATE";
                        settings.ControlStyle.Font.Size = 20;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                        settings.ControlStyle.Font.Bold = true;
                    }).GetHtml()
        </td>
        <td style="width:15%; border-right:2px solid #C0C0C0; background-color:#DDDDDD">&nbsp;</td>
    </tr>
    <tr>
        <td style="width:15%; border-left:2px solid #C0C0C0; background-color:#DDDDDD">&nbsp;</td>
        <td style="width:43%; text-align:center; background-color:#DDDDDD; margin:0; padding:0">
                @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "ROUTE";
                        settings.Text = Model.ROUTE;
                        settings.ControlStyle.Font.Size = 100;
                        settings.ControlStyle.Font.Bold = true; 
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                    }).GetHtml()
        </td>
        <td style="width:1%; text-align:center; background-color:#DDDDDD"><p><b><font size="50"> - </font></b></p></td>
        <td style="width:25%; text-align:center; background-color:#DDDDDD; margin:0; padding:0">
                @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblRate";
                        settings.Text = Model.RATE;
                        settings.ControlStyle.Font.Size = 100;
                        settings.ControlStyle.Font.Bold = true;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                    }).GetHtml()
        </td>
        <td style="width:15%; border-right:2px solid #C0C0C0; background-color:#DDDDDD">&nbsp;</td>
    </tr>
</table>
<table width="100%" height="150" cellpadding="0" cellspacing="0">
    <colgroup>
        <col width="23%" />
        <col width="23%" />
        <col width="15%" />
        <col width="23%" />
        <col width="15%" />
    </colgroup>
    <tr>
        <td style="border:2px solid #C0C0C0; text-align:center; margin:0; padding:0; background-color:#DDDDDD">
            @Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblReviseNo1";
                                settings.Text = "Version";
                                settings.ControlStyle.Font.Size = 20;
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                                //settings.ControlStyle.Font.Bold = true;
                            }).GetHtml()
            <br />
            @Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblReviseNo";
                                settings.Text = Model.REVISE_NO.ToString();
                                settings.ControlStyle.Font.Size = 56;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
        </td>
        <td style="border-top:2px solid #C0C0C0; border-bottom:2px solid #C0C0C0; border-right:0; margin:0; padding:0; background-color:#DDDDDD">
            &nbsp;@Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblArrival";
                                settings.Text = "Arrival";
                                settings.ControlStyle.Font.Size = 17;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.Font.Underline = true;                                
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
                            <br />
            <table>
                <colgroup>
                    <col width="50%" />
                    <col width="50%" />
                </colgroup>
                <tr>
                    <td style="padding-left:4px">
                        @Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblArrivalPlan";
                                settings.Text = "Plan";
                                settings.ControlStyle.Font.Size = 15;
                                settings.ControlStyle.Font.Bold = true;                                
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
                    </td>
                    <td style="padding-left:4px">
                        @Html.DevExpress().TextBox(
                            settings => {
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.BackColor = System.Drawing.ColorTranslator.FromHtml("#FFFFFF");
                                settings.ControlStyle.Font.Size = 15;
                                settings.Name = "txtArrivalPlan";
                                settings.ReadOnly = true;
                                settings.Text = Model.ARRIVAL_PLAN_DT.ToString("HH:mm");
                                settings.Width = Unit.Pixel(80);
                        }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="padding-left:4px">
                        @Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblArrivalActual";
                                settings.Text = "Actual";
                                settings.ControlStyle.Font.Size = 15;
                                settings.ControlStyle.Font.Bold = true;                                
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
                    </td>
                    <td style="padding-left:4px">
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.BackColor = System.Drawing.ColorTranslator.FromHtml("#FFFFFF");
                                settings.ControlStyle.Font.Size = 15; 
                                settings.Name = "txtArrivalActual";
                                settings.ReadOnly = true;
                                settings.Text = Model.ARRIVAL_ACTUAL_DT.ToString("HH:mm");
                                settings.Width = Unit.Pixel(80);
                            }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="padding-left:4px">
                        @Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblArrivalGap";
                                settings.Text = "Gap";
                                settings.ControlStyle.Font.Size = 15;
                                settings.ControlStyle.Font.Bold = true;                                
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
                    </td>
                    <td style="padding-left:4px">
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.BackColor = System.Drawing.ColorTranslator.FromHtml("#FFFFFF");
                                settings.ControlStyle.Font.Size = 15; 
                                settings.Name = "txtArrivalGap";
                                settings.ReadOnly = true;
                                settings.Text = Model.ARRIVAL_GAP.ToString(@"hh\:mm");
                                settings.Width = Unit.Pixel(80);
                            }).GetHtml()
                    </td>
                </tr>
            </table>            
        </td>
        <td style="border-top:2px solid #C0C0C0; border-bottom:2px solid #C0C0C0; border-right:2px solid #C0C0C0; border-left:0; margin:0; padding:0; background-color:#DDDDDD">
            <div style="text-align:center">
                <img alt="" id="imgArrival" src="@Url.Content(Model.ARRIVAL_STATUS_IMAGE)" />
                @*@Html.DevExpress().Image(
                    settings =>
                    {
                        settings.Name = "imgArrival";
                        settings.Width = Unit.Pixel(100);
                        settings.ImageUrl = @Url.Content(Model.ARRIVAL_STATUS_IMAGE);
                    }
                ).GetHtml()*@
            </div>
            <div style="margin-left:45px; margin-top:1px;">
            @Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblArrivalInfo";
                                settings.Text = Model.ARRIVAL_STATUS_DESC;
                                settings.ControlStyle.Font.Size = 11;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                            }).GetHtml()
                            </div>            
        </td>
        <td style="border-top:2px solid #C0C0C0; border-bottom:2px solid #C0C0C0; border-right:0; margin:0; padding:0; background-color:#DDDDDD">
            &nbsp;@Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblDeparture";
                                settings.Text = "Departure";
                                settings.ControlStyle.Font.Size = 17;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.Font.Underline = true;
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
                            <br />
            <table>
                <colgroup>
                    <col width="50%" />
                    <col width="50%" />
                </colgroup>
                <tr>
                    <td style="padding-left:4px">
                        @Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblDeparturePlan";
                                settings.Text = "Plan";
                                settings.ControlStyle.Font.Size = 15;
                                settings.ControlStyle.Font.Bold = true;                                
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
                    </td>
                    <td style="padding-left:4px">
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.BackColor = System.Drawing.ColorTranslator.FromHtml("#FFFFFF");
                                settings.ControlStyle.Font.Size = 15; 
                                settings.Name = "txtDeparturePlan";
                                settings.ReadOnly = true;
                                settings.Text = Model.DEPARTURE_PLAN_DT.ToString("HH:mm");
                                settings.Width = Unit.Pixel(80);
                            }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="padding-left:4px">
                        @Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblDepartureActual";
                                settings.Text = "Actual";
                                settings.ControlStyle.Font.Size = 15;
                                settings.ControlStyle.Font.Bold = true;                                
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
                    </td>
                    <td style="padding-left:4px">
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.BackColor = System.Drawing.ColorTranslator.FromHtml("#FFFFFF");
                                settings.ControlStyle.Font.Size = 15; 
                                settings.Name = "txtDepartureActual";
                                settings.ReadOnly = true;
                                settings.Text = Model.DEPARTURE_ACTUAL_DT.ToString("HH:mm");
                                settings.Width = Unit.Pixel(80);
                            }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="padding-left:4px">
                        @Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblDepartureGap";
                                settings.Text = "Gap";
                                settings.ControlStyle.Font.Size = 15;
                                settings.ControlStyle.Font.Bold = true;                                
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
                    </td>
                    <td style="padding-left:4px">
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.BackColor = System.Drawing.ColorTranslator.FromHtml("#FFFFFF");
                                settings.ControlStyle.Font.Size = 15; 
                                settings.Name = "txtDepartureGap";
                                settings.ReadOnly = true;
                                settings.Text = Model.DEPARTURE_GAP.ToString(@"hh\:mm");
                                settings.Width = Unit.Pixel(80);
                            }).GetHtml()
                    </td>                    
                </tr>
            </table>
        </td>
        <td style="border-top:2px solid #C0C0C0; border-bottom:2px solid #C0C0C0; border-right:2px solid #C0C0C0; border-left:0; margin:0; padding:0; background-color:#DDDDDD">
            <div style="text-align:center; background-color:#DDDDDD">
                <img alt="" id="imgDeparture" src="@Url.Content(Model.DEPARTURE_STATUS_IMAGE)" />
                @*@Html.DevExpress().Image(
                    settings =>
                    {
                        settings.Name = "imgDeparture";
                        settings.Width = Unit.Pixel(100);
                        settings.ImageUrl = @Url.Content(Model.DEPARTURE_STATUS_IMAGE);
                    }
                ).GetHtml()*@
                </div>
                <div style="margin-left:45px; margin-top:1px;">
                @Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblDepartureInfo";
                                settings.Text = Model.DEPARTURE_STATUS_DESC;
                                settings.ControlStyle.Font.Size = 11;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
            </div>
        </td>
    </tr>
</table>
</div>

